Solid Edge Geometry Type Library
GetPlaneProperties Method
Returns the area of the referenced plane.
Returns the coordinates of a point on the referenced plane.
Returns the Moment of Inertia about the three principal axes lxx, lyy, and lzz.
Returns the vectors of the major and minor principal axes.
Returns the relative accuracy achieved in the properties computation.
Description
Returns the properties of the referenced Plane object.
Syntax
Visual Basic
Public Sub GetPlaneProperties( _
   ByVal ReqRelAccy As Double, _
   ByRef Area As Double, _
   ByRef RootPoint() As Double, _
   ByRef Moments() As Double, _
   ByRef PrincipalAxes() As Double, _
   ByRef RelAccyAchieved As Double _
) 
Parameters
ReqRelAccy
Area
Returns the area of the referenced plane.
RootPoint
Returns the coordinates of a point on the referenced plane.
Moments
Returns the Moment of Inertia about the three principal axes lxx, lyy, and lzz.
PrincipalAxes
Returns the vectors of the major and minor principal axes.
RelAccyAchieved
Returns the relative accuracy achieved in the properties computation.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objModel As SolidEdgePart.Model
    Dim ObjFace As solidedgegeometry.Face
    Dim objPlane As Object
    Dim dblRPoint() As Double
    Dim dblReqRelAccy As Double
    Dim dblArea As Double
    Dim dblMoments() As Double
    Dim dblPrincipalAxes() As Double
    Dim dblRelAccyAchieved As Double
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    'Create base feature
    If CreateModel(objDoc) <> "" Then
        MsgBox "Error creating the model"
        Exit Sub
    End If
    'Get a handle to Model
    Set objModel = objDoc.Models(1)
    'Get the BottomCap of the Protrusion
    Set ObjFace = objModel.ExtrudedProtrusions(1).BottomCap
    'Get the Plane object
    Set objPlane = ObjFace.Geometry
    dblReqRelAccy = 0.0001
    Call objPlane.GetPlaneProperties(ReqRelAccy:=dblReqRelAccy, Area:=dblArea, RootPoint:=dblRPoint(), _
                                     Moments:=dblMoments, PrincipalAxes:=dblPrincipalAxes, RelAccyAchieved:=dblRelAccyAchieved)
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objModel = Nothing
    Set ObjFace = Nothing
    Set objPlane = Nothing
End Sub
See Also

Plane Object  | Plane Members

Send comments on this topic.